function sleep(ms) {
  return new Promise((resolve) => setTimeout(resolve, ms));
}
export async function step1(x, y) {
  await sleep(2000);
  if (!x || !y) return 0;
  return 1;
}

export async function step2() {
  await sleep(2000);
  return 1;
}
